#version 430 core

//uniform vec4 vertexColor;
in vec3 vertexColor;
in vec2 texCoord;

uniform sampler2D texture;
uniform float mixing;

out vec4 fragColor;

void main()
{
    fragColor = texture(texture, texCoord);
}